# Scoreboards

## Bowling Scoreboards

Bowling scoreboards can be divided into `S1`, `S2`, `S3`, `S4` (S3 and S4 only for test matches). They can be added to any fixtures related response by adding `&include=bowling` to your request url. A. bowling record will contains data bout `runs`, `wickets`, `overs`, `player`, `team` and much more.

You can request all the bowling scoreboards we have on a fixture or livescores endpoint. For example:

```javascript
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={YOURTOKEN}&include=bowling
```

## Batting Scoreboards

Batting scoreboards can be divided into `S1`, `S2`, `S3`, `S4` (S3 and S4 only for test matches). They can be added to any fixtures related response by adding `&include=batting` to your request url. A. bowling record will contains data bout `fout_x`, `six_x`, `score`, `ball`, `player`, `team` and much more.

You can request all the batting scoreboards we have on a fixture or livescores endpoint. For example:

```javascript
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={YOURTOKEN}&include=batting
```

## Runs

Runs basically are an aggregated/calculated total of an inning of the game. The `inning` property equals the `scoreboard` property on `bowling` and `batting` data.

You can request all the runs we have on a fixture or livescores endpoint. For example:

```javascript
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={YOURTOKEN}&include=runs
```

## Line-ups

The `lineup` include represent an array of player that playing the game for both away and home team. We provide information about the players as well as information `captain` and `wicketkeeper`.

You can request all the lineups we have on a fixture or livescores endpoint:

```javascript
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={YOURTOKEN}&include=lineup
```

## Ball by Ball

To follow a game Ball By Ball you can easily include `balls` to your fixture or livescores related request. As you can see below it will only return id so to gain more information you can use [nested includes](/v2/cricket-api/getting-started/enriching-your-response.md) to enrich the dataset.

You can request all the ball by ball information we have on a fixture or livescores endpoint:

```javascript
https://cricket.sportmonks.com/api/v2.0/livescores?api_token={YOURTOKEN}&include=balls
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/relationships/scoreboards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
